# -*- coding: utf-8 -*-
# Generated by Django 1.11.27 on 2020-01-29 19:41
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        ('archaeological_operations', '0102_link_apps'),
    ]

    operations = [
        migrations.AddField(
            model_name='historicaladministrativeact',
            name='history_change_reason',
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='historicalarchaeologicalsite',
            name='history_change_reason',
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='historicaloperation',
            name='history_change_reason',
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.AlterField(
            model_name='historicaladministrativeact',
            name='act_type',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='archaeological_operations.ActType',
                                    verbose_name='Act type'),
        ),
        migrations.AlterField(
            model_name='historicaladministrativeact',
            name='associated_file',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='archaeological_files.File',
                                    verbose_name='Archaeological file'),
        ),
        migrations.AlterField(
            model_name='historicaladministrativeact',
            name='history_creator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to=settings.AUTH_USER_MODEL,
                                    verbose_name='Creator'),
        ),
        migrations.AlterField(
            model_name='historicaladministrativeact',
            name='history_modifier',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to=settings.AUTH_USER_MODEL,
                                    verbose_name='Last editor'),
        ),
        migrations.AlterField(
            model_name='historicaladministrativeact',
            name='in_charge',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+', to='ishtar_common.Person',
                                    verbose_name='Person in charge of the operation'),
        ),
        migrations.AlterField(
            model_name='historicaladministrativeact',
            name='lock_user',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to=settings.AUTH_USER_MODEL,
                                    verbose_name='Locked by'),
        ),
        migrations.AlterField(
            model_name='historicaladministrativeact',
            name='operation',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='archaeological_operations.Operation',
                                    verbose_name='Operation'),
        ),
        migrations.AlterField(
            model_name='historicaladministrativeact',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='ishtar_common.Organization',
                                    verbose_name='Archaeological preventive operator'),
        ),
        migrations.AlterField(
            model_name='historicaladministrativeact',
            name='scientist',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+', to='ishtar_common.Person',
                                    verbose_name='Scientist in charge'),
        ),
        migrations.AlterField(
            model_name='historicaladministrativeact',
            name='signatory',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+', to='ishtar_common.Person',
                                    verbose_name='Signatory'),
        ),
        migrations.AlterField(
            model_name='historicaladministrativeact',
            name='treatment',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='archaeological_finds.Treatment',
                                    verbose_name='Treatment'),
        ),
        migrations.AlterField(
            model_name='historicaladministrativeact',
            name='treatment_file',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='archaeological_finds.TreatmentFile',
                                    verbose_name='Treatment request'),
        ),
        migrations.AlterField(
            model_name='historicalarchaeologicalsite',
            name='history_creator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to=settings.AUTH_USER_MODEL,
                                    verbose_name='Creator'),
        ),
        migrations.AlterField(
            model_name='historicalarchaeologicalsite',
            name='history_modifier',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to=settings.AUTH_USER_MODEL,
                                    verbose_name='Last editor'),
        ),
        migrations.AlterField(
            model_name='historicalarchaeologicalsite',
            name='lock_user',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to=settings.AUTH_USER_MODEL,
                                    verbose_name='Locked by'),
        ),
        migrations.AlterField(
            model_name='historicalarchaeologicalsite',
            name='main_image',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='ishtar_common.Document',
                                    verbose_name='Main image'),
        ),
        migrations.AlterField(
            model_name='historicalarchaeologicalsite',
            name='spatial_reference_system',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='ishtar_common.SpatialReferenceSystem',
                                    verbose_name='Spatial Reference System'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='applicant_authority',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='ishtar_common.Organization',
                                    verbose_name='Applicant authority'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='associated_file',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='archaeological_files.File',
                                    verbose_name='File'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='cira_rapporteur',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+', to='ishtar_common.Person',
                                    verbose_name='Rapporteur CIRA'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='history_creator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to=settings.AUTH_USER_MODEL,
                                    verbose_name='Creator'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='history_modifier',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to=settings.AUTH_USER_MODEL,
                                    verbose_name='Last editor'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='in_charge',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+', to='ishtar_common.Person',
                                    verbose_name='In charge'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='lock_user',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to=settings.AUTH_USER_MODEL,
                                    verbose_name='Locked by'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='main_image',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='ishtar_common.Document',
                                    verbose_name='Main image'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='minutes_writer',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+', to='ishtar_common.Person',
                                    verbose_name='Writer of the minutes'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='operation_type',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='ishtar_common.OperationType',
                                    verbose_name='Operation type'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='ishtar_common.Organization',
                                    verbose_name='Operator'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='protagonist',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+', to='ishtar_common.Person',
                                    verbose_name='Name of the protagonist'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='record_quality_type',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='archaeological_operations.RecordQualityType',
                                    verbose_name='Record quality'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='report_processing',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='archaeological_operations.ReportState',
                                    verbose_name='Report processing'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='scientist',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+', to='ishtar_common.Person',
                                    verbose_name='In charge scientist'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='spatial_reference_system',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='ishtar_common.SpatialReferenceSystem',
                                    verbose_name='Spatial Reference System'),
        ),
    ]
