#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import datetime
import sys
import json

from django.core.management.base import BaseCommand

from archaeological_operations.models import Operation, ArchaeologicalSite
from archaeological_finds.models import Find


class Command(BaseCommand):
    args = ""
    help = "Json export of sums"

    def handle(self, *args, **options):
        data = {
            "date": datetime.datetime.now().isoformat(),
            "finds": Find.objects.count(),
            "operations": Operation.objects.count(),
            "sites": ArchaeologicalSite.objects.count(),
        }
        sys.stdout.write(json.dumps(data))

